PluXml 5.8 est disponible

P3terP3ter Responsable de PluXml

La version stable de PluXml 5.8 est disponible. Pour en savoir plus je vous invite à jeter un œil sur le blog : https://www.pluxml.org/pluxml-5-8-est-disponible.html.

Site : p3ter.fr - Twitter : @P3terFr

Mots clés:
«13

Réponses

  • Petit_LutinPetit_Lutin Membre
    6 janv. modifié

    Bonjour d'une nouvelle venue 🖐️

    Après avoir passé les mois de novembre et décembre à parcourir le forum pour trouver des réponses à mes questions, j'ai finalement pu faire mon site sous PluXmL 5.7 😃 Je vois l'annonce de cette nouvelle version 5.8 sur Mastodon (joie), et je mets à jour de 5.7 à 5.8 en local. Sauf que j'ai des messages d'erreur php de type :

    (!) Notice: Undefined index: thumbnail in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 446

    ( ! ) Notice: Undefined index: thumbnail_title in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 447

    ( ! ) Notice: Undefined index: thumbnail_alt in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 448

    ( ! ) Notice: Undefined index: thumbnail in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 446

    ( ! ) Warning: Use of undefined constant PLX_TEMPLATES_DATA - assumed 'PLX_TEMPLATES_DATA' (this will throw an Error in a future version of PHP) in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 114

    ( ! ) Warning: scandir(PLX_TEMPLATES_DATA,PLX_TEMPLATES_DATA): The system cannot find the file specified. (code: 2) in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 1004

    ( ! ) Warning: scandir(): (errno 2): No such file or directory in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 1004

    ( ! ) Warning: array_diff(): Argument #1 is not an array in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 1004

    ( ! ) Warning: Invalid argument supplied for foreach() in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 1005

    ( ! ) Warning: Cannot modify header information - headers already sent by (output started at C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php:448) in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 275

    et en plus, dans le panneau latéral dans l'administration, j'ai :

    ( ! ) Warning: Use of undefined constant PLX_REPO_URL - assumed 'PLX_REPO_URL' (this will throw an Error in a future version of PHP) in C:\wamp64\www\tests\PluXml\core\admin\top.php on line 71 Call Stack #TimeMemoryFunctionLocation 10.0373405744{main}( )...\statiques.php:0 20.1353564600include( 'C:\wamp64\www\tests\PluXml\core\admin\top.php' )...\statiques.php:33 PLX_REPO_URL">PluXml 5.8
    

    Je suis désolée de copier/coller tous les messages d'erreurs comme ceci mais je ne sais pas comment m'en dépatouiller seule (et j'espère aussi que je poste au bon endroit !).

    Auriez-vous une idée ?

    edit : bravo pour cette nouvelle version !

    BD humoristiques, illustrations choupi et réflexions libristes-friendly sur PetitLutinArtiste.fr

  • P3terP3ter Responsable de PluXml

    Je confirme et prépare un correctif rapidement. Il s'agit uniquement de "warning" donc ça ne devrait pas perturber le fonctionne de PluXml.

    Site : p3ter.fr - Twitter : @P3terFr

  • DeevadDeevad Membre

    Bravo à toute l'équipe et aux contributeurs! 👍️

  • dans le fichier README.MD, changer le numéro de la version en cours de développement sinon on ne comprend plus.

    Tu peux mettre 5.9 en attendant d'avoir les idées plus claire pour la version 6.0.

  • bazooka07bazooka07 Membre
    6 janv. modifié

    Oups !!

    Jusqu'à présent le dossier d'installation de PluXml était le dossier PluXml et non PluXml-5.8. ou PluXml-5.7

    Il y a également des dossiers ou fichiers .git et.gitignore qui n'ont pas lieu d'être

    Je suppose que c'est un oubli de ta part.

  • bazooka07bazooka07 Membre
    6 janv. modifié

    C'est quoi cette traduction anglaise à l'installation :

    ./ does not have write access or does not exist

    Ben, si il faut l'avoir :

    ./ must have writing rights or is missing

    ou moins impératif :

    ./ has no writing access or is missing

  • Peux tu paramétrer le serveur pluxml.org pour qu'il renvoie les headers suivants quand on télécharge le fichier à partir de cette url : /download/latest-version.txt

    Access-Control-Allow-Origin: *

    Access-Control-Allow-Methods: GET

    Cela permettra de charger le fichier latest-version.txt directement depuis le navigateur avec Javascript sans passer par le serveur et ne plus s'inquiéter de ses limites pour télécharger un fichier cross-domain.

    Actuellement, il n'y a que les headers suivants et cela bloque avec la politique CORS des navigateurs :

    > curl -v https://www.pluxml.org/download/latest-version.txt

    .........

    > GET /download/latest-version.txt HTTP/2

    > Host: www.pluxml.org

    > User-Agent: curl/7.64.0

    > Accept: */*

    >;

    * Connection state changed (MAX_CONCURRENT_STREAMS == 128)!

    < HTTP/2 200

    < server: nginx/1.14.2

    < date: Mon, 06 Jan 2020 21:55:43 GMT

    < content-type: text/plain; charset=utf-8

    < content-length: 4

    < last-modified: Sun, 05 Jan 2020 20:45:55 GMT

    < etag: "5e124b03-4"

    < strict-transport-security: max-age=15768000; includeSubDomains; preload

    < x-frame-options: DENY

    < x-content-type-options: nosniff

    < x-xss-protection: 1; mode=block

    < content-security-policy: default-src * data: ; script-src * 'unsafe-inline' 'unsafe-eval' ; style-src * 'unsafe-inline' data: ; frame-ancestors 'none' ;

    < accept-ranges: bytes

    <

    5.8

    Plus d'infos ici : https://developer.mozilla.org/en-US/docs/Web/HTTP/CORS

  • Tu peux regarder par exemple ce que renvoie le serveur radio-browser.info quand on lui demande la liste des pays au format JSON:

    Rajoute également l'entête suivant :

    Access-Control-Allow-Headers: origin, x-requested-with, content-type

  • P3terP3ter Responsable de PluXml

    Bonjour,

    Un grand merci à tous pour ces remontées, et mes excuses à ceux qui ont rencontré des problèmes avec cette version 5.8.

    Un correctif 5.8.1 est disponible pour test sur la branche develop : https://github.com/pluxml/PluXml/archive/develop.zip. Il corrige tous les messages remontés dans les logs.

    https://github.com/pluxml/PluXml/commit/1d6c9529e19bf8d0ef90309c80ff8fe7de34c006

    https://github.com/pluxml/PluXml/commit/1d6c9529e19bf8d0ef90309c80ff8fe7de34c006

    J'aimerais merger ce correctif sur la branche stable (master), d'ici demain soir. Pouvez-vous tester cette version 5.8.1 et m'indiquer si vous avez toujours des messages d'erreurs, svp ?

    @bazooka07 pour tes remarques sur pluxml.org, je regarde tout ça dès que possible.

    Site : p3ter.fr - Twitter : @P3terFr

  • FoggFogg Membre

    merci pour ce gros boulot qui se reflète dans le changelog de la version 5.8 !!

    quelques maladies de jeunesse qui seront vite corrigées mais pluxml reste pour moi la référence des CMS sans base de données

    j'attendrai un peu (pas trop) la stabilisation avant de migrer mais je suis déjà enthousiaste pour cette mise à jour 😀

  • Merci pour l'update ! En testant cette version 5.8.1, j'ai toujours des messages d'erreur 😶

    Côté administration :

    ( ! ) Warning: scandir(../../data/templates/,../../data/templates/): The system cannot find the file specified. (code: 2) in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 1014

    ( ! ) Warning: scandir(): (errno 2): No such file or directory in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 1014

    ( ! ) Warning: array_diff(): Argument #1 is not an array in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 1014

    ( ! ) Warning: Cannot modify header information - headers already sent by (output started at C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php:1014) in C:\wamp64\www\tests\PluXml\core\admin\parametres_plugins.php on line 20

    avec ce message d'erreur dans le panneau latéral :

    (! )Warning: Use of undefined constant PLX_REPO_URL - assumed 'PLX_REPO_URL' (this will throw an Error in a future version of PHP) in C:\wamp64\www\tests\PluXml\core\admin\top.php on line <i>71</i>

    Call Stack #TimeMemoryFunctionLocation

    10.0001404448{main}( )...\parametres_base.php<b>:</b>0 20.0266556136include( <font color="#00bb00">'C:\wamp64\www\tests\PluXml\core\admin\top.php'</font> )...\parametres_base.php<b>:</b>27 PLX_REPO_URL"&gt;PluXml 5.8.1

    J'ai également (toujours) des erreurs côté front-office :

    ( ! ) Warning: scandir(./data/templates/,./data/templates/): The system cannot find the file specified. (code: 2) in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 1014

    ( ! ) Warning: scandir(./data/templates/): failed to open dir: No such file or directory in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 1014

    ( ! ) Warning: scandir(): (errno 2): No such file or directory in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 1014

    ( ! ) Warning: array_diff(): Argument #1 is not an array in C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php on line 1014

    ( ! ) Warning: Cannot modify header information - headers already sent by (output started at C:\wamp64\www\tests\PluXml\core\lib\class.plx.motor.php:1014) in C:\wamp64\www\tests\PluXml\index.php on line 61

    BD humoristiques, illustrations choupi et réflexions libristes-friendly sur PetitLutinArtiste.fr

  • Pour l'erreur dans le fichier top.php, remplacer "PLX_REPO_URL" par "PLX_URL_REPO".

    Pour les erreurs de template, le problème est identifié et il y a un pull-request en cours.

  • P3terP3ter Responsable de PluXml
    7 janv. modifié

    Nouvelles corrections sur la branche develop (v5.8.1) https://github.com/pluxml/PluXml/archive/develop.zip

    Si vous êtes déjà en 5.8.1, de préference, il faut refaire la mise à jour en modifiant le fichier "data/configuration/parametres.xml" et en remplaçant le numéro de version "5.8.1" par "5.8", pour vérifier que la procédure de mise à jour fonctionne toujours (facultatif).

    @Petit_Lutin, est-ce que tu pourrais tester cette version, stp ?

    Merci à tous pour votre aide !

    Site : p3ter.fr - Twitter : @P3terFr

  • @bazooka07 Merci.

    @P3ter Testée, et plus d'erreur ! 😃

    BD humoristiques, illustrations choupi et réflexions libristes-friendly sur PetitLutinArtiste.fr

  • P3terP3ter Responsable de PluXml

    @Petit_Lutin merci beaucoup ;-)

    La version 5.8.1 est officiellement disponible sur la branche stable : https://github.com/pluxml/PluXml/releases/tag/v5.8.1

    Site : p3ter.fr - Twitter : @P3terFr

  • kameakamea Membre
    8 janv. modifié

    Petite info à contrôler de votre coté pour être certain.

    Coté front : $plxShow->comLevel(); semble remonter uniquement la valeur "-level" sans le niveau qui doit y être associé (ex : level-1, level-2 ect...)

    Coté admin : ça fonctionne.

    Testé sur les versions php 7.2.19 / 7.3.9 et 7.4.1

    Merci pour cette nouvelle version et tout le taf :)

  • P3terP3ter Responsable de PluXml

    Issue créé sur github : https://github.com/pluxml/PluXml/issues/369

    Merci à toi ;-)

    Site : p3ter.fr - Twitter : @P3terFr

  • RubénRubén Membre

    Mise à jour effectuée avec succès !

    Rien de cassé, je vais pouvoir profiter des images d'accroche des catégories :D

    Merci à tous !

    Cependant léger problème avec une chaîne de caractères dans la configuration avancée du site, avec la langue sur "oc" :


  • jol5926jol5926 Membre

    Bonjour,

    Je viens d'effectuer la mise à jour et j'ai testé mot de passe oublié pour se connecter à l'administration.

    Je clique sur mont de passe oublié, j'inscris mon adresse émail, je valide et j'ai un message d'erreur qui s'affiche "erreur inconnue"

    Avez-vous une idée ?

    Merci

  • As-tu essayé d'envoyer un email de test depuis la page parametres_info ?

  • Dans parametres avancés tu as choisi quoi comme méthode d'envoi pour les mails : sendmail, SMTP ou OAUTH2 ?

    Si tu n'as pas choisi sendmail, qu'as tu rentré comme serveur SMTP, port et nom utilisateur ?

    Ton adresse mail est chez quel fournisseur : free.fr, orange.fr , gmail.com .... ?

    Si tu as choisi sendmail, le bouton pour tester l'envoi de mails passe directement par l'hébergeur de ton site sans avoir recours à phpmailer.

  • jol5926jol5926 Membre

    Dans les paramètres avancés, j'ai choisi sendmail.

    Le fournisseur de mon adresse émail : Laposte.net

    Formulaire de contact fonctionne parfaitement.

    Avec l'ancienne version de PluXml, 5.7, j'utilisais ton plugin "lost password" et ça fonctionnait très bien.

  • J'ai modifié la function plxAdmin::sendLostPasswordEmail() dans le fichier core/lib/class.plx.admin.php

    Le code est à récupérer avec le lien ci-dessous :

    https://gist.github.com/bazooka07/2b4dfafb48706a673aba52879c83b11a

    Il y a quelques corrections mineures à faire pour la fonction plxUtils::sendMail() dans le fichier core/lib/class.plx.utils.php :

          if(!empty($from)) {
             $headers['From'] = (!empty($name)) ? $name . " <$from>" : $from;
             $headers['Reply-To'] = $from;
          }
    
          if(!empty($cc)) {
             $headers['Cc'] = (is_array($cc)) ? implode(', ', $cc) : $cc;
          }
    
          if(!empty($bcc)) {
             $headers['Cc'] = (is_array($bcc)) ? implode(', ', $bcc) : $bcc;
          }
    

    remplacer les empty tous seuls par !empty et $Bcc par $bcc

    Le plugin lostPassord est remplacé par kzLostPassword ( plus simple )

  • jol5926jol5926 Membre

    Merci Bazooka07

    tout fonctionne !

    😀

  • jmglzjmglz Membre
    15 janv. modifié

    Bonjour à tous.Tout d'abord Meilleurs Voeux ! Cela fait un certain temps que je ne suis pas venu visiter le forum, j'ai mis à jour mon site http://new.jmg.ovh en utilisant la derrière version de pluxml 5.8.1 mais j'ai um souci avec les pages statiques (en onglet) qui ne fonctionnent pas, pourtant elles sont bien "actives" et "affichées" dans l'édition ? Avez-vous une idée du souci ?

  • trentaneltrentanel Membre
    16 janv. modifié

    Bonjour,


    Je viens de passer à la version 5.8 et je voudrais savoir si le thème "Premium" fonctionne bien avec elle.


    Si oui, faut-il ajouter d'autres plugins que les trois qui sont signalés ?

  • FoggFogg Membre
    16 janv. modifié

    j'ai migré le site de 5.6 à 5.8.1 et tout fonctionne bien ! super !

    seulement les icônes du plugin plxEditor qui ne s'affichaient pas bien. Apparemment, un conflit dans les fonts utilisées pour les icônes, elles sont normalement reprises par la font icomoon qui est inclue dans le css du plugin pour toutes les classes icon- et il y a un conflit avec le css de Pluxml qui donne une autre font pour ces mêmes classes. Dans le css de Pluxml j'ai modifié le nom de la classe pour désactiver le css et du coup c'est celui du plugin qui s'applique et les icônes sont affichées convenablement.

    pour le reste tous mes anciens plugins fonctionnent parfaitement, et j'ai repris telles quelles les modifications dans ma méthode plxShow (décrites dans un précédent post) l'affichage du sous-menu dans la colonne de droite marche toujours.

  • Bonjour jmglz,

    l'URL de tes pages statiques m’apparaît bizarre (http://new.jmg.ovh/index.php?static6/httpswwwgalerie-creationcomjm-gleizes).

    1. Vérifie ce qui est indiqué dans la colonne URL des pages statiques,
    2. Désactive la réécriture d'URL dans la configuration avancée, enregistre et réactive la.


  • jmglzjmglz Membre
    17 janv. modifié

    Bonjour et merci @kowaslky, après vérification l'URL est effectivement bizarre exemple :

    httpswwwflickrcomphotosflickrgalleries

    en désactivant la réécriture d'URL rien n'y change,

    l'URL correcte est retranscrite automatiquement incorrectement ?

    et le visiteur a l'indication :

    "Cette page est actuellement en cours de rédaction"

Connectez-vous ou Inscrivez-vous pour répondre.